<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Auth.AuthFragment">

    <!-- TODO: Update blank fragment layout -->

    <androidx.cardview.widget.CardView
        android:layout_width="0dp"
        android:layout_height="230dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="50dp"
        android:layout_marginBottom="8dp"
        android:rotation="210"
        app:cardBackgroundColor="#00000000"
        app:cardElevation="2dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btnAuth" />

    <androidx.cardview.widget.CardView
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="150dp"
        android:rotation="45"
        app:cardBackgroundColor="#00000000"
        app:cardElevation="2dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" >

    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/textError"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginTop="32dp"
        android:layout_marginEnd="32dp"
        android:layout_marginBottom="32dp"
        android:gravity="center"
        android:textColor="#CA4141"
        android:textSize="20sp"
        app:layout_constraintBottom_toTopOf="@+id/textView5"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/edLogin"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="80dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="80dp"
        android:ems="10"
        android:gravity="center"
        android:hint="Логин"
        android:inputType="text"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView5" />

    <EditText
        android:id="@+id/edPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ems="10"
        android:gravity="center"
        android:hint="Пароль"
        android:inputType="textPassword"
        app:layout_constraintEnd_toEndOf="@+id/edLogin"
        app:layout_constraintStart_toStartOf="@+id/edLogin"
        app:layout_constraintTop_toBottomOf="@+id/edLogin" />

    <TextView
        android:id="@+id/textView5"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="200dp"
        android:layout_marginEnd="8dp"
        android:fontFamily="monospace"
        android:text="Авторизация"
        android:textColor="#000000"
        android:textSize="30sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/btnAuth"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:text="авторизоваться"
        app:layout_constraintEnd_toEndOf="@+id/edPassword"
        app:layout_constraintStart_toStartOf="@+id/edPassword"
        app:layout_constraintTop_toBottomOf="@+id/edPassword" />

</androidx.constraintlayout.widget.ConstraintLayout>